- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.LegacyGetCasesFilterUserAndRolesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#body.aspect_1)
- [LegacyCaseSearchFilterTypeEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#LegacyCaseSearchFilterTypeEnum)
- [ApiUserProfileLightMetadata](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#ApiUserProfileLightMetadata)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#ApiUserProfileLightMetadata.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacySearches.legacyGetCasesFilterUserAndRoles

Returns user profiles and SOC roles that match specified case filtering criteria. Use this method to browse investigation ownership options.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySearches:legacyGetCasesFilterUserAndRoles`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the search results for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "typeOfFilter": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#LegacyCaseSearchFilterTypeEnum`), "numberOfValuesToReturn": integer, "searchTerm": string } ``` |

| Fields ||
|---|---|
| `typeOfFilter` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#LegacyCaseSearchFilterTypeEnum`)`` Required. Type of filter. |
| `numberOfValuesToReturn` | `integer` Optional. Number of values to return. |
| `searchTerm` | `string` Optional. Search term. |

### Response body

Response for legacySearches.legacyGetCasesFilterUserAndRoles.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "socRoles": [ string ], "users": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#ApiUserProfileLightMetadata`) } ] } ``` |

| Fields ||
|---|---|
| `socRoles[]` | `string` Optional. The soc roles. |
| `users[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetCasesFilterUserAndRoles#ApiUserProfileLightMetadata`)`` Optional. The users. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySearches.searchCases`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LegacyCaseSearchFilterTypeEnum

Enum that represents the case search filter type.

| Enums ||
|---|---|
| `TAGS` | Tags filter type. |
| `ENVIRONMENTS` | Environments filter type. |
| `ASSIGNED_USERS` | Assigned users filter type. |
| `PRODUCTS` | Products filter type. |
| `PORTS` | Ports filter type. |
| `CATEGORY_OUTCOMES` | Category outcomes filter type. |
| `ALERT_NAME` | Alert name filter type. |
| `ALERT_TYPE` | Alert type filter type. |
| `ALERT_PLAYBOOK_TRIGGER` | Alert playbook trigger filter type. |
| `VENDORS` | Vendors filter type. |
| `ROOT_CAUSE_CLOSES` | Root cause closes filter type. |
| `USERS_AND_SOC_ROLES` | Users and soc roles filter type. |

## ApiUserProfileLightMetadata

Message that represents an API user profile light metadata.

| JSON representation |
|---|
| ``` { "identifier": string, "firstName": string, "lastName": string, "userName": string, "email": string, "socRoleId": string, "socRole": string, "socRoleIds": [ string ], "socRoles": [ string ], "avatar": string, "loginIdentifier": string } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Optional. The identifier. |
| `firstName` | `string` Optional. The first name. |
| `lastName` | `string` Optional. The last name. |
| `userName` | `string` Optional. The user name. |
| `email` | `string` Optional. The email. |
| `socRoleId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The soc role id. |
| `socRole` | `string` Optional. The soc role. |
| `socRoleIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The soc role ids. |
| `socRoles[]` | `string` Optional. The soc roles. |
| `avatar` | `string` Optional. The avatar. |
| `loginIdentifier` | `string` Optional. The login identifier. |